<?php
/* speedMon_XH-1alpha2 
* copyright  2014 by manu @ www.pixolution.ch
* This plugin is free software and is subject 
*  to the same licence conditions as CMSimple is.
*/
include_once('classes/speedmon.php');

function speedMon($key=NULL,$func=NULL) {
    if (!XH_ADM) return;
    static $messungen = array();
    
    if ($key) {  // register
        if (empty($messungen[$key])) $messungen[$key] = new SpeedMon;
        if ($messungen[$key]->notStarted()) { // set/reset
            $messungen[$key]->start();
            
            if ( SpeedMon::isFunction($func) ) {
                $func();
                $messungen[$key]->stop();
            }
        }
        else  {// measure, calculated result is negative
            $messungen[$key]->stop();
        }
    }
    else {
        if ( SpeedMon::isFunction($func) ) {
            $_messung = new SpeedMon;
            $_messung->start();
            $func();
            $_messung->stop();
            return $_messung->displayFunction();
            unset($_messung);
        }
        else
            return SpeedMon::displayAll($messungen);
    }   
}
?>